Rygel.PlayerController – librygel-renderer Reference Manual

# PlayerController

## Object Hierarchy:

## Description:

public interface PlayerController : `Object`

This class keeps track of global states that are not dependant on the RygelMediaPlayer.

These states are: # URI # MetaData # Number of tracks # Current track # Playback state

In case of playlists this class will also control the player. It needs to proxy the playback state to react on end of item to be able to switch to the next item.

Namespace: Rygel
Package: librygel-renderer

## Content:

### Properties:

- public abstract `string` playback_state { set; get; }
- public abstract `uint` n_tracks { protected set; get; }
- public abstract `uint` track { set; get; }
- public abstract `string` uri { protected set; owned get; }
- public abstract `string` metadata { protected set; owned get; }
- public abstract `string` track_uri { protected set; owned get; }
- public abstract `string` track_metadata { protected set; owned get; }
- public abstract `string` next_uri { protected set; owned get; }
- public abstract `string` next_metadata { protected set; owned get; }
- public abstract `string` current_transport_actions { owned get; }

### Methods:

- public abstract `bool` next ()
- public abstract `bool` previous ()
- public abstract void set_single_play_uri (`string` uri, `string` metadata, `string`? mime, `string`? features)
- public abstract void set_playlist_uri (`string` uri, `string` metadata, `MediaCollection` collection)
- public abstract void set_next_single_play_uri (`string` uri, `string` metadata, `string`? mime, `string`? features)
- public abstract void set_next_playlist_uri (`string` uri, `string` metadata, `MediaCollection` collection)
- protected `string` unescape (`string` input)

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count